export declare class SparkleFeedback {
  el: HTMLElement;
  formControls: {
    type: {
      isValid: boolean;
      value: number;
      validate: (value: any) => boolean;
    };
    note: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
  };
  submitted: boolean;
  onSubmit(e: any): Promise<void>;
  dismiss(data?: any): void;
  changeFormValue(controlName: "type" | "note", value: any): void;
  render(): any;
}
